Subject: [radext] IANA Request for Acct-Status-Type value assignment

From: Bernard Aboba <[email-masked]>
Date: Thu, 1 Jul 2021 08:08:48 -0700

An IANA Request for assignment of an Acct-Status-Type value assignment has
been received.

The requested assignment appears reasonable and has potential benefits over
sending Accounting-On packets for each user.  In today's wireless
architectures, a single controller may handle multiple APs which could in
total have many users connected. In a situation where the controller was
rebooted, sending Accounting-On packets for each user could result in a
flood of traffic, which the proposed assignment would avoid.

As a result, my recommendation is to approve the assignment.

*From:* Michelle Cotton via RT <[email-masked]>
*Sent:* Wednesday, June 23, 2021 12:26 PM
*Cc:* [email-masked] <[email-masked]>; [email-masked] <
[email-masked]>
*Subject:* [IANA #1200477] Request for Assignment (radius-types)

Hello Bernard,

As the designated expert for the "RADIUS Attribute 40, Acct-Status-Type"
registry, can you review the registration request below?

If you can provide a review by 07 July 2021, that would be appreciated.
Although, technically you have 30 days as described below.

According to section 2.1 of RFC3575, it says the following:

   The Designated Expert will post a request to the AAA WG mailing
   list (or a successor designated by the Area Director) for
   comment and review, including an Internet-Draft. Before a period
   of 30 days has passed, the
   Designated Expert will either approve or deny the registration
   request, publish a notice of the decision to the AAA WG mailing list
   or its successor, and inform IANA of its decision.

As I believe the AAA WG mailing list does not exist, do you know what the
appropriate successor would be?  I've included Ben Kaduk on this thread so
that he can also assist.

We would like to add a note to the registry to inform the community what
that successor list would be in case they wanted to send mail in advance of
sending it to IANA.

Thanks!

Michelle

*******

Michelle Cotton
Protocol Parameters Engagement Sr. Manager
IANA Services

On Wed Jun 23 13:31:56 2021, [email-masked] wrote:
>
> Contact Name:
> Alan DeKok
>
> Contact Email:
> [email-masked]
>
> Type of Assignment:
> Two new values for Acct-Status-Type: Subsystem-On, and Subsystem-Off
>
> Registry:
> Acct-Status-Type
>
>
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.iana.org%2Fassignments%2Fradius-types%2Fradius-&amp;data=04%7C01%7C%7Cbd72627596c04403b0de08d9367ccbcd%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637600731882671804%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=%2FQ81X4cbhIcshSq1hdeK3lso3gNnrLgI%2BS05DzMwALU%3D&amp;reserved=0
> types.xhtml#radius-types-10
>
> Description:
>
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ffreeradius.org%2Frfc%2Facct_status_type_subsystem.html&amp;data=04%7C01%7C%7Cbd72627596c04403b0de08d9367ccbcd%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637600731882671804%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=eP52OcHwhO6f45wrVRWU6ZOnfHHO4UsqJUc9KfD4dqY%3D&amp;reserved=0
>
> The Acct-Status-Type attribute has only a few values defined. These
> values do not fully match new practices in RADIUS. In particular, some
> wireless access points are composed of multiple subsystems. For
> example, an access point may have a controller that manages all
> network traffic, and multiple Basic Service Sets on multiple radios in
> physically remote locations. This design has a number of practical
> benefits, and causes at least one open problem with RADIUS.
>
> The problem is that a basic service set may come online or go offline,
> which causes a loss of connectivity for multiple users. The NAS would
> like to indicate to the RADIUS server that multiple users are offline.
> However, sending one accounting packet for each user is not scalable.
>
> Some implementations send an accounting packet, with Acct-Status-Type
> = Accounting-On, to indicate that the subsystem has rebooted. The
> problem is that RFC 2866 is largely silent on what constitutes a
> "session". The question for the RADIUS server is "which users, if any,
> should be marked 'offline' when receiving such a packet?"
>
> Since RFC 2866 is silent on the subject of session identification
> attributes, there is no possible answer to this question. Every NAS
> and/or RADIUS server implementation is free to do something different.
> Such choices are bad for inter-operability.
>
> Additional Info:
> RFC 2866, Section 5.1

---

From: Alan DeKok <[email-masked]>
Date: Fri, 2 Jul 2021 07:01:48 -0400

On Jul 1, 2021, at 11:08 AM, Bernard Aboba <[email-masked]> wrote:
> 
> An IANA Request for assignment of an Acct-Status-Type value assignment has been received. 
> 
> The requested assignment appears reasonable and has potential benefits over sending Accounting-On packets for each user.  In today's wireless architectures, a single controller may handle multiple APs which could in total have many users connected. In a situation where the controller was rebooted, sending Accounting-On packets for each user could result in a flood of traffic, which the proposed assignment would avoid. 
> 

  I've received a number of queries over the years from both vendors, and customers using their products.  This feature would help to more clearly scope subsystem reboots, which seems both prudent and useful.

  Alan DeKok.